/**
 * Safely removes a layer from the Mapbox map instance.
 * @param {mapboxgl.Map} map - The Mapbox map instance.
 * @param {string} layer - The ID of the layer to remove.
 */
// import generic components
import { getContext } from 'svelte';

// import our map
import { key } from '../stores/map_store.ts';
const { getMap } = getContext(key);
const map = getMap();

export function remove_safely_layer(layer) {
	if (map && map.getLayer(layer)) {
		map.removeLayer(layer);
	}
}

export function remove_safely_source(layer) {
	if (map && map.getSource(layer)) {
		map.removeSource(layer);
	}
}

export function remove_safely_image(layer) {
	if (map && map.hasImage(layer)) {
		map.removeImage(layer);
	}
}
